Subject: Re: Updated Tcl Tk and Tix
From: "S. L." <[email-masked]>
To: Mumit Khan <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Tue, 11 Jun 2002 10:51:31 +0200 (MEST)

[...]
> I'm not sure how to respond to the post by S.L, who for some reason thinks
> that Cygwin's Tcl/Tk are in reality Mingw applications.
[...]

Mumit,

Okok, I must admit now, that doing a cygcheck on .exes and .dlls of tcl/tk
package, they all depend on cygwin1.dll, but only because of cygtcl80.dll
dependency, i.e.: 

$ cygcheck c:/cygwin/bin/cygwish80.exe
c:/cygwin/bin/cygwish80.exe
  c:/cygwin/bin\cygtcl80.dll
    c:/cygwin/bin\cygwin1.dll
      C:\WIN\SYSTEM\KERNEL32.dll
    C:\WIN\SYSTEM\USER32.dll
      C:\WIN\SYSTEM\GDI32.dll
        C:\WIN\SYSTEM\ADVAPI32.dll
  c:/cygwin/bin\cygtk80.dll
    C:\WIN\SYSTEM\COMDLG32.DLL
      C:\WIN\SYSTEM\SHLWAPI.dll
      C:\WIN\SYSTEM\COMCTL32.dll
      C:\WIN\SYSTEM\SHELL32.dll

$ cygcheck c:/cygwin/bin/cygtk80.dll  
c:/cygwin/bin/cygtk80.dll
  c:/cygwin/bin\cygtcl80.dll
    c:/cygwin/bin\cygwin1.dll
      C:\WIN\SYSTEM\KERNEL32.dll
    C:\WIN\SYSTEM\USER32.dll
      C:\WIN\SYSTEM\GDI32.dll
        C:\WIN\SYSTEM\ADVAPI32.dll
  C:\WIN\SYSTEM\COMDLG32.DLL
    C:\WIN\SYSTEM\SHLWAPI.dll
    C:\WIN\SYSTEM\COMCTL32.dll
    C:\WIN\SYSTEM\SHELL32.dll

This leads to a incapacity of GUI applications (wish, itkwish, tix) to work
with POSIX paths in their widgets (I must launch vtcl with a command like
"HOME=c:/cygwin/home/user cygwish80 c:/place/where/is/vtcl" to have my .vtclrc
preferences loaded). Which is not the case with your tcl/tk.
And also remains fact that the great majority of apps that come with tk
GUIs, are unable to build using the "./configure" steps, for the 8.0 tcltk
package (the "official" cygwin one).

Thanks anyway for your versions,

SLao

-- 
GMX - Die Kommunikationsplattform im Internet.
http://www.gmx.net

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/